#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "../../lib/aoc.h"

int main() {
  char *input = aoc_read_input();
  int length = strlen(input) - 1;
  int sum = 0;

  for (int i = 0; i < length - 1; i++) {
    if (input[i] == input[i + 1]) {
      sum += input[i] - '0';
    }
  }

  if (input[0] == input[length - 1]) {
    sum += input[0] - '0';
  }

  printf("Part 1: %d\n", sum);

  sum = 0;

  for (int i = 0; i < length; i++) {
    if (input[i] == input[(i + (length / 2)) % length]) {
      sum += input[i] - '0';
    }
  }

  printf("Part 2: %d\n", sum);

  free(input);
}
